package org.sonatype.flexmojos.compiler;

import java.io.File;
import java.util.List;


public interface ICompcConfiguration extends IFlexConfiguration {
  Boolean getDirectory();

  String[] getHelp();

  List getIncludeClasses();

  IIncludeFile[] getIncludeFile();

  IIncludeStylesheet[] getIncludeStylesheet();

  Boolean getIncludeLookupOnly();

  List getIncludeNamespaces();

  List getIncludeResourceBundles();

  File[] getIncludeSources();

  String[] getLoadConfig();

  String getOutput();

  String getRoot();

  Boolean getVersion();

  Boolean getComputeDigest();

  Boolean getWarnings();

  String getDumpConfig();

  String getFramework();

  Boolean getBenchmark();

  Integer getBenchmarkCompilerDetails();

  Long getBenchmarkTimeFilter();

  String getDebugPassword();

  Integer getDefaultBackgroundColor();

  Integer getDefaultFrameRate();

  IDefaultScriptLimits getDefaultScriptLimits();

  IDefaultSize getDefaultSize();

  List getExterns();

  Boolean getGenerateFrameLoader();

  List getIncludes();

  Boolean getLazyInit();

  String getLinkReport();

  String getSizeReport();

  String[] getLoadExterns();

  String getRawMetadata();

  String getResourceBundleList();

  String[] getRuntimeSharedLibraries();

  Boolean getUseNetwork();

  IRuntimeSharedLibraryPath[] getRuntimeSharedLibraryPath();

  Boolean getStaticLinkRuntimeSharedLibraries();

  Boolean getVerifyDigests();

  Boolean getRemoveUnusedRsls();

  Boolean getIncludeInheritanceDependenciesOnly();

  String getTargetPlayer();

  Boolean getSwcChecksum();

  String getToolsLocale();

  ICompilerConfiguration getCompilerConfiguration();

  IFramesConfiguration getFramesConfiguration();

  IMetadataConfiguration getMetadataConfiguration();

  ILicensesConfiguration getLicensesConfiguration();

  IRuntimeSharedLibrarySettingsConfiguration getRuntimeSharedLibrarySettingsConfiguration();

}
